%global srcname utmp

Name:		python-utmp
Version:	0.8.2
Release:	6%{?dist}
Summary:	Python modules for umtp records

License:	Copyright only
URL:		http://kassiopeia.juls.savba.sk/~garabik/software/python-utmp/
Source0:	http://kassiopeia.juls.savba.sk/~garabik/software/python-utmp/%{name}_%{version}.tar.gz


%description
python-utmp consists of three modules, providing access to utmp records.
It is quite difficult to access utmp record portably, because every UNIX
has different structure of utmp files. Currently, python-utmp works on
platforms which provide getutent, getutid, getutline, pututline,
setutent, endutent and utmpname functions (such as GNU systems
(Linux and hurd) and System V unices) and on BSD systems using
simple utmp structure.

%package -n python2-%{srcname}
Summary:        Python modules for umtp records

BuildRequires:  gcc
BuildRequires:	python2-devel

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
python-utmp consists of three modules, providing access to utmp records.
It is quite difficult to access utmp record portably, because every UNIX
has different structure of utmp files. Currently, python-utmp works on
platforms which provide getutent, getutid, getutline, pututline,
setutent, endutent and utmpname functions (such as GNU systems
(Linux and hurd) and System V unices) and on BSD systems using
simple utmp structure.

This is the Python 2 build of the package.

%package -n python3-%{srcname}
Summary:        Python modules for umtp records

BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python-utmp consists of three modules, providing access to utmp records.
It is quite difficult to access utmp record portably, because every UNIX
has different structure of utmp files. Currently, python-utmp works on
platforms which provide getutent, getutid, getutline, pututline,
setutent, endutent and utmpname functions (such as GNU systems
(Linux and hurd) and System V unices) and on BSD systems using
simple utmp structure.

This is the Python 3 build of the package.

%prep
%setup -qc
# Need to change the name of the shared library we create, so it is the same as the name
# of the module we import, or else Python will not be able to import it
sed -i 's/utmpaccessmodule.so/utmpaccess.so/g' python-%{srcname}/Makefile.common

# Create seperate folders for python2 and python3 builds
mv python-%{srcname} python3
cp -a python{3,2}


%build
pushd python2
make -f Makefile.glibc \
	DEFINES=" \
		-D_HAVE_UT_SESSION -D_HAVE_UT_ADDR_V6 -D_HAVE_UT_EXIT \
		-D_HAVE_UT_HOST -D_HAVE_UT_ID -D_HAVE_UT_TV -D_HAVE_UT_USER \
		-D_HAVE_UTMPNAME -D_HAVE_SETUTENT -D_HAVE_GETUTENT -D_HAVE_ENDUTENT \
		-D_HAVE_GETUTID -D_HAVE_GETUTLINE -D_HAVE_PUTUTLINE \
		%{optflags}" \
	PYTHONVER=%{python2_version}
popd

pushd python3
make -f Makefile.glibc \
	DEFINES=" \
		-D_HAVE_UT_SESSION -D_HAVE_UT_ADDR_V6 -D_HAVE_UT_EXIT \
		-D_HAVE_UT_HOST -D_HAVE_UT_ID -D_HAVE_UT_TV -D_HAVE_UT_USER \
		-D_HAVE_UTMPNAME -D_HAVE_SETUTENT -D_HAVE_GETUTENT -D_HAVE_ENDUTENT \
		-D_HAVE_GETUTID -D_HAVE_GETUTLINE -D_HAVE_PUTUTLINE \
		%{optflags}" \
	PYTHONVER=%{python3_version} \
	PYTHONINCLUDE=/usr/include/python%{python3_version}m/
popd

%install
pushd python2
make \
	PYTHONDIR=%{buildroot}/%{python2_sitearch}/ \
	PYTHONVER=%{python2_version} \
	install
rm -f COPYING
install -D -p -m644 debian/copyright COPYING
popd

pushd python3
make \
	PYTHONDIR=%{buildroot}/%{python3_sitearch}/ \
	PYTHONVER=%{python3_version} \
	install
rm -f COPYING
install -D -p -m644 debian/copyright COPYING
popd

%files -n python2-%{srcname}
%license python2/COPYING
%doc python2/README python2/TODO
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license python3/COPYING
%doc python3/README python3/TODO
%{python3_sitearch}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.2-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 01 2017 Charalampos Statakis <cstratak@redhat.com> - 0.8.2-1
- Update to 0.8.2
- Provide a Python 3 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-15
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Juha Tuomala <tuju@iki.fi> - 0.7-5
- Minor spec imrovements.

* Tue Jul 21 2009 Juha Tuomala <tuju@iki.fi> - 0.7-4
- Minor spec imrovements.

* Sun Jul 05 2009 Juha Tuomala <tuju@iki.fi> - 0.7-3
- License string fix.

* Sun Jul 05 2009 Juha Tuomala <tuju@iki.fi> - 0.7-2
- Spec modifications, bug #505259.

* Thu Jun 11 2009 Juha Tuomala <tuju@iki.fi> - 0.7-1
- Initial package.
